> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-fbfa8bee.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# تحديث إعدادات ClickPipe

> **نقطة النهاية هذه في Beta.** عقد واجهة برمجة التطبيقات مستقر، ولا يُتوقع حدوث تغييرات غير متوافقة في المستقبل. <br /><br /> حدّث الإعدادات المتقدمة لـ ClickPipe المحدد. أرسل أزواج مفاتيح-قيم بحيث يمكن أن تكون القيم سلاسل نصية أو أرقامًا أو قيمًا منطقية.



## OpenAPI

````yaml /ar/_specs/cloud-openapi.json put /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings:
    put:
      tags:
        - ClickPipes
      summary: تحديث إعدادات ClickPipe
      description: >-
        **نقطة النهاية هذه في Beta.** عقد واجهة برمجة التطبيقات مستقر، ولا
        يُتوقع حدوث تغييرات غير متوافقة في المستقبل. <br /><br /> حدّث الإعدادات
        المتقدمة لـ ClickPipe المحدد. أرسل أزواج مفاتيح-قيم بحيث يمكن أن تكون
        القيم سلاسل نصية أو أرقامًا أو قيمًا منطقية.
      parameters:
        - description: معرّف المؤسسة المالكة للخدمة.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: معرّف الخدمة المالكة لـ ClickPipe.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
        - description: معرّف ClickPipe المطلوب تحديث إعداداته.
          in: path
          name: clickPipeId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipeSettingsPutRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: معرّف فريد يُسنَد إلى كل طلب. UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipeSettingsGetResponse'
                  status:
                    description: رمز حالة HTTP.
                    example: 200
                    type: number
                type: object
          description: استجابة ناجحة
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: وصف تفصيلي للخطأ.
                    type: string
                  status:
                    description: رمز حالة HTTP.
                    example: 400
                    type: number
                type: object
          description: >-
            يتعذر على الخادم معالجة الطلب أو يرفض معالجته بسبب أمر يُعتبر خطأً
            من جهة العميل.
components:
  schemas:
    ClickPipeSettingsPutRequest:
      properties:
        clickhouse_max_download_threads:
          description: >-
            الحد الأقصى لسلاسل تنفيذ التنزيل. الحد الأقصى لعدد سلاسل تنفيذ
            التنزيل المتزامنة
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: >-
            الحد الأقصى لسلاسل تنفيذ insert. الحد الأقصى لعدد سلاسل تنفيذ insert
            المتزامنة
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: >-
            الحد الأقصى لسلاسل التنفيذ. الحد الأقصى لعدد سلاسل التنفيذ المتزامنة
            لمعالجة الملفات
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: >-
            الحد الأدنى لحجم كتلة insert بالبايت. الحد الأدنى لحجم data block
            لعملية insert (بالبايت)
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: insert select موزع متوازٍ. إعداد insert select الموزع المتوازي
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: >-
            معالجة view متوازية. ما إذا كان سيتم تمكين الدفع إلى views الملحقة
            بشكل متزامن بدلًا من التسلسل
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: >-
            مستوى التزامن في object storage. عدد سلاسل التنفيذ المتزامنة لمعالجة
            الملفات
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: >-
            الحد الأقصى لعدد الملفات. الحد الأقصى لعدد الملفات المراد معالجتها
            في batch insert واحدة
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: >-
            الحد الأقصى لبايتات insert. عدد البايتات المراد معالجتها في batch
            insert واحدة
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: >-
            الفاصل الزمني للاستقصاء في object storage. يضبط فاصل التحديث
            للاستعلام عن ingest المستمر بحثًا عن بيانات جديدة في object storage
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: >-
            استخدام دالة cluster. ما إذا كان سيتم استخدام دالة cluster في
            ClickHouse للمعالجة الموزعة
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: >-
            الحد الأقصى لوقت انتظار insert في وضع streaming. يضبط أقصى مدة
            انتظار قبل إدراج البيانات في ClickHouse.
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
    ClickPipeSettingsGetResponse:
      properties:
        clickhouse_max_download_threads:
          description: >-
            الحد الأقصى لسلاسل تنفيذ التنزيل. الحد الأقصى لعدد سلاسل تنفيذ
            التنزيل المتزامنة
          example: 4
          maximum: 32
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_insert_threads:
          description: >-
            الحد الأقصى لسلاسل تنفيذ insert. الحد الأقصى لعدد سلاسل تنفيذ insert
            المتزامنة
          example: 1
          maximum: 16
          minimum: 0
          nullable: true
          type: integer
        clickhouse_max_threads:
          description: >-
            الحد الأقصى لسلاسل التنفيذ. الحد الأقصى لعدد سلاسل التنفيذ المتزامنة
            لمعالجة الملفات
          example: 8
          maximum: 64
          minimum: 0
          nullable: true
          type: integer
        clickhouse_min_insert_block_size_bytes:
          description: >-
            الحد الأدنى لحجم كتلة insert بالبايت. الحد الأدنى لحجم data block
            لعملية insert (بالبايت)
          example: 1073741824
          maximum: 10737418240
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_distributed_insert_select:
          description: insert select موزع متوازٍ. إعداد insert select الموزع المتوازي
          example: 2
          maximum: 2
          minimum: 0
          nullable: true
          type: integer
        clickhouse_parallel_view_processing:
          description: >-
            معالجة view متوازية. ما إذا كان سيتم تمكين الدفع إلى views الملحقة
            بشكل متزامن بدلًا من التسلسل
          example: false
          nullable: true
          type: boolean
        object_storage_concurrency:
          description: >-
            مستوى التزامن في object storage. عدد سلاسل التنفيذ المتزامنة لمعالجة
            الملفات
          example: 1
          maximum: 35
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_file_count:
          description: >-
            الحد الأقصى لعدد الملفات. الحد الأقصى لعدد الملفات المراد معالجتها
            في batch insert واحدة
          example: 100
          maximum: 10000
          minimum: 1
          nullable: true
          type: integer
        object_storage_max_insert_bytes:
          description: >-
            الحد الأقصى لبايتات insert. عدد البايتات المراد معالجتها في batch
            insert واحدة
          example: 10737418240
          maximum: 53687091200
          minimum: 10485760
          nullable: true
          type: integer
        object_storage_polling_interval_ms:
          description: >-
            الفاصل الزمني للاستقصاء في object storage. يضبط فاصل التحديث
            للاستعلام عن ingest المستمر بحثًا عن بيانات جديدة في object storage
          example: 30000
          maximum: 3600000
          minimum: 100
          nullable: true
          type: integer
        object_storage_use_cluster_function:
          description: >-
            استخدام دالة cluster. ما إذا كان سيتم استخدام دالة cluster في
            ClickHouse للمعالجة الموزعة
          example: true
          nullable: true
          type: boolean
        streaming_max_insert_wait_ms:
          description: >-
            الحد الأقصى لوقت انتظار insert في وضع streaming. يضبط أقصى مدة
            انتظار قبل إدراج البيانات في ClickHouse.
          example: 5000
          maximum: 60000
          minimum: 500
          nullable: true
          type: integer
  securitySchemes:
    basicAuth:
      description: >-
        استخدم معرّف المفتاح والسرّ الخاص به اللذين تم الحصول عليهما من
        ClickHouse Cloud console:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````